diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/model/socket.h ns-3.44/src/network/model/socket.h
--- ns-3.43/src/network/model/socket.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/model/socket.h	2025-03-09 16:55:49.675372100 -0700
@@ -774,178 +774,178 @@
      * This option affects only IPv4 sockets, it has no effect
      * on IPv6 sockets.
      *
-     * \param ipTos The desired TOS value for IP headers
+     * @param ipTos The desired TOS value for IP headers
      */
     void SetIpTos(uint8_t ipTos);
 
     /**
-     * \brief Query the value of IP Type of Service of this socket
+     * @brief Query the value of IP Type of Service of this socket
      *
      * This method corresponds to using getsockopt () IP_TOS of real network
      * or BSD sockets.
      *
-     * \return The raw IP TOS value
+     * @return The raw IP TOS value
      */
     uint8_t GetIpTos() const;
 
     /**
-     * \brief Tells a socket to pass information about IP Type of Service up the stack
+     * @brief Tells a socket to pass information about IP Type of Service up the stack
      *
      * This method corresponds to using setsockopt () IP_RECVTOS of real
      * network or BSD sockets. In our implementation, the socket simply
      * adds a SocketIpTosTag tag to the packet before passing the
      * packet up the stack.
      *
-     * \param ipv4RecvTos Whether the socket should add SocketIpv4TosTag tag
+     * @param ipv4RecvTos Whether the socket should add SocketIpv4TosTag tag
      * to the packet
      */
     void SetIpRecvTos(bool ipv4RecvTos);
 
     /**
-     * \brief Ask if the socket is currently passing information about IP Type of Service up the
+     * @brief Ask if the socket is currently passing information about IP Type of Service up the
      * stack
      *
      * This method corresponds to using getsockopt () IP_RECVTOS of real
      * network or BSD sockets.
      *
-     * \return Whether the IP_RECVTOS is set
+     * @return Whether the IP_RECVTOS is set
      */
     bool IsIpRecvTos() const;
 
     /**
-     * \brief Manually set IPv6 Traffic Class field
+     * @brief Manually set IPv6 Traffic Class field
      *
      * This method corresponds to using setsockopt () IPV6_TCLASS of
      * real network or BSD sockets. This option is for IPv6 only.
      * Setting the IPV6_TCLASSS to -1 clears the option and let the socket
      * uses the default value.
      *
-     * \param ipTclass The desired TCLASS value for IPv6 headers
+     * @param ipTclass The desired TCLASS value for IPv6 headers
      */
     void SetIpv6Tclass(int ipTclass);
 
     /**
-     * \brief Query the value of IPv6 Traffic Class field of this socket
+     * @brief Query the value of IPv6 Traffic Class field of this socket
      *
      * This method corresponds to using getsockopt () IPV6_TCLASS of real network
      * or BSD sockets.
      *
-     * \return The raw IPV6_TCLASS value
+     * @return The raw IPV6_TCLASS value
      */
     uint8_t GetIpv6Tclass() const;
 
     /**
-     * \brief Tells a socket to pass information about IPv6 Traffic Class up the stack
+     * @brief Tells a socket to pass information about IPv6 Traffic Class up the stack
      *
      * This method corresponds to using setsockopt () IPV6_RECVTCLASS of real
      * network or BSD sockets. In our implementation, the socket simply
      * adds a SocketIpv6TclasssTag tag to the packet before passing the
      * packet up the stack.
      *
-     * \param ipv6RecvTclass Whether the socket should add SocketIpv6TclassTag tag
+     * @param ipv6RecvTclass Whether the socket should add SocketIpv6TclassTag tag
      * to the packet
      */
     void SetIpv6RecvTclass(bool ipv6RecvTclass);
 
     /**
-     * \brief Ask if the socket is currently passing information about IPv6 Traffic Class up the
+     * @brief Ask if the socket is currently passing information about IPv6 Traffic Class up the
      * stack
      *
      * This method corresponds to using getsockopt () IPV6_RECVTCLASS of real
      * network or BSD sockets.
      *
-     * \return Whether the IPV6_RECVTCLASS is set
+     * @return Whether the IPV6_RECVTCLASS is set
      */
     bool IsIpv6RecvTclass() const;
 
     /**
-     * \brief Manually set IP Time to Live field
+     * @brief Manually set IP Time to Live field
      *
      * This method corresponds to using setsockopt () IP_TTL of
      * real network or BSD sockets.
      *
-     * \param ipTtl The desired TTL value for IP headers
+     * @param ipTtl The desired TTL value for IP headers
      */
     virtual void SetIpTtl(uint8_t ipTtl);
 
     /**
-     * \brief Query the value of IP Time to Live field of this socket
+     * @brief Query the value of IP Time to Live field of this socket
      *
      * This method corresponds to using getsockopt () IP_TTL of real network
      * or BSD sockets.
      *
-     * \return The raw IP TTL value
+     * @return The raw IP TTL value
      */
     virtual uint8_t GetIpTtl() const;
 
     /**
-     * \brief Tells a socket to pass information about IP_TTL up the stack
+     * @brief Tells a socket to pass information about IP_TTL up the stack
      *
      * This method corresponds to using setsockopt () IP_RECVTTL of real
      * network or BSD sockets. In our implementation, the socket simply
      * adds a SocketIpTtlTag tag to the packet before passing the
      * packet up the stack.
      *
-     * \param ipv4RecvTtl Whether the socket should add SocketIpv4TtlTag tag
+     * @param ipv4RecvTtl Whether the socket should add SocketIpv4TtlTag tag
      * to the packet
      */
     void SetIpRecvTtl(bool ipv4RecvTtl);
 
     /**
-     * \brief Ask if the socket is currently passing information about IP_TTL up the stack
+     * @brief Ask if the socket is currently passing information about IP_TTL up the stack
      *
      * This method corresponds to using getsockopt () IP_RECVTTL of real
      * network or BSD sockets.
      *
-     * \return Whether the IP_RECVTTL is set
+     * @return Whether the IP_RECVTTL is set
      */
     bool IsIpRecvTtl() const;
 
     /**
-     * \brief Manually set IPv6 Hop Limit
+     * @brief Manually set IPv6 Hop Limit
      *
      * This method corresponds to using setsockopt () IPV6_HOPLIMIT of
      * real network or BSD sockets.
      *
-     * \param ipHopLimit The desired Hop Limit value for IPv6 headers
+     * @param ipHopLimit The desired Hop Limit value for IPv6 headers
      */
     virtual void SetIpv6HopLimit(uint8_t ipHopLimit);
 
     /**
-     * \brief Query the value of IP Hop Limit field of this socket
+     * @brief Query the value of IP Hop Limit field of this socket
      *
      * This method corresponds to using getsockopt () IPV6_HOPLIMIT of real network
      * or BSD sockets.
      *
-     * \return The raw IPv6 Hop Limit value
+     * @return The raw IPv6 Hop Limit value
      */
     virtual uint8_t GetIpv6HopLimit() const;
 
     /**
-     * \brief Tells a socket to pass information about IPv6 Hop Limit up the stack
+     * @brief Tells a socket to pass information about IPv6 Hop Limit up the stack
      *
      * This method corresponds to using setsockopt () IPV6_RECVHOPLIMIT of real
      * network or BSD sockets. In our implementation, the socket simply
      * adds a SocketIpv6HopLimitTag tag to the packet before passing the
      * packet up the stack.
      *
-     * \param ipv6RecvHopLimit Whether the socket should add SocketIpv6HopLimitTag tag
+     * @param ipv6RecvHopLimit Whether the socket should add SocketIpv6HopLimitTag tag
      * to the packet
      */
     void SetIpv6RecvHopLimit(bool ipv6RecvHopLimit);
 
     /**
-     * \brief Ask if the socket is currently passing information about IPv6 Hop Limit up the stack
+     * @brief Ask if the socket is currently passing information about IPv6 Hop Limit up the stack
      *
      * This method corresponds to using getsockopt () IPV6_RECVHOPLIMIT of real
      * network or BSD sockets.
      *
-     * \return Whether the IPV6_RECVHOPLIMIT is set
+     * @return Whether the IPV6_RECVHOPLIMIT is set
      */
     bool IsIpv6RecvHopLimit() const;
 
     /**
-     * \brief Joins a IPv6 multicast group.
+     * @brief Joins a IPv6 multicast group.
      *
      * Based on the filter mode and source addresses this can be interpreted as a
      * join, leave, or modification to source filtering on a multicast group.
@@ -954,9 +954,9 @@
      * remove the old one.
      *
      *
-     * \param address Requested multicast address.
-     * \param filterMode Socket filtering mode (INCLUDE | EXCLUDE).
-     * \param sourceAddresses All the source addresses on which socket is interested or not
+     * @param address Requested multicast address.
+     * @param filterMode Socket filtering mode (INCLUDE | EXCLUDE).
+     * @param sourceAddresses All the source addresses on which socket is interested or not
      * interested.
      */
     virtual void Ipv6JoinGroup(Ipv6Address address,
@@ -964,82 +964,82 @@
                                std::vector<Ipv6Address> sourceAddresses);
 
     /**
-     * \brief Joins a IPv6 multicast group without filters.
+     * @brief Joins a IPv6 multicast group without filters.
      *
      * A socket can join only one multicast group. Any attempt to join another group will remove the
      * old one.
      *
-     * \param address Group address on which socket wants to join.
+     * @param address Group address on which socket wants to join.
      */
     virtual void Ipv6JoinGroup(Ipv6Address address);
 
     /**
-     * \brief Leaves IPv6 multicast group this socket is joined to.
+     * @brief Leaves IPv6 multicast group this socket is joined to.
      */
     virtual void Ipv6LeaveGroup();
 
   protected:
     /**
-     * \brief Notify through the callback (if set) that the connection has been
+     * @brief Notify through the callback (if set) that the connection has been
      *        established.
      */
     void NotifyConnectionSucceeded();
 
     /**
-     * \brief Notify through the callback (if set) that the connection has not been
+     * @brief Notify through the callback (if set) that the connection has not been
      *        established due to an error.
      */
     void NotifyConnectionFailed();
 
     /**
-     * \brief Notify through the callback (if set) that the connection has been
+     * @brief Notify through the callback (if set) that the connection has been
      *        closed.
      */
     void NotifyNormalClose();
 
     /**
-     * \brief Notify through the callback (if set) that the connection has been
+     * @brief Notify through the callback (if set) that the connection has been
      *        closed due to an error.
      */
     void NotifyErrorClose();
 
     /**
-     * \brief Notify through the callback (if set) that an incoming connection
+     * @brief Notify through the callback (if set) that an incoming connection
      *        is being requested by a remote host.
      *
      * This function returns true by default (i.e., accept all the incoming connections).
      * The callback (if set) might restrict this behaviour by returning zero for a
      * connection that should be refused.
      *
-     * \param from the address the connection is incoming from
-     * \returns true if the connection must be accepted, false otherwise.
+     * @param from the address the connection is incoming from
+     * @returns true if the connection must be accepted, false otherwise.
      */
     bool NotifyConnectionRequest(const Address& from);
 
     /**
-     * \brief Notify through the callback (if set) that a new connection has been
+     * @brief Notify through the callback (if set) that a new connection has been
      *        created.
-     * \param socket The socket receiving the new connection.
-     * \param from The address of the node initiating the connection.
+     * @param socket The socket receiving the new connection.
+     * @param from The address of the node initiating the connection.
      */
     void NotifyNewConnectionCreated(Ptr<Socket> socket, const Address& from);
 
     /**
-     * \brief Notify through the callback (if set) that some data have been sent.
+     * @brief Notify through the callback (if set) that some data have been sent.
      *
-     * \param size number of sent bytes.
+     * @param size number of sent bytes.
      */
     void NotifyDataSent(uint32_t size);
 
     /**
-     * \brief Notify through the callback (if set) that some data have been sent.
+     * @brief Notify through the callback (if set) that some data have been sent.
      *
-     * \param spaceAvailable the number of bytes available in the transmission buffer.
+     * @param spaceAvailable the number of bytes available in the transmission buffer.
      */
     void NotifySend(uint32_t spaceAvailable);
 
     /**
-     * \brief Notify through the callback (if set) that some data have been received.
+     * @brief Notify through the callback (if set) that some data have been received.
      */
     void NotifyDataRecv();
 
@@ -1047,23 +1047,23 @@
     void DoDispose() override;
 
     /**
-     * \brief Checks if the socket has a specific IPv6 Tclass set
+     * @brief Checks if the socket has a specific IPv6 Tclass set
      *
-     * \returns true if the socket has a IPv6 Tclass set, false otherwise.
+     * @returns true if the socket has a IPv6 Tclass set, false otherwise.
      */
     bool IsManualIpv6Tclass() const;
 
     /**
-     * \brief Checks if the socket has a specific IPv4 TTL set
+     * @brief Checks if the socket has a specific IPv4 TTL set
      *
-     * \returns true if the socket has a IPv4 TTL set, false otherwise.
+     * @returns true if the socket has a IPv4 TTL set, false otherwise.
      */
     bool IsManualIpTtl() const;
 
     /**
-     * \brief Checks if the socket has a specific IPv6 Hop Limit set
+     * @brief Checks if the socket has a specific IPv6 Hop Limit set
      *
-     * \returns true if the socket has a IPv6 Hop Limit set, false otherwise.
+     * @returns true if the socket has a IPv6 Hop Limit set, false otherwise.
      */
     bool IsManualIpv6HopLimit() const;
 
@@ -1106,7 +1106,7 @@
 };
 
 /**
- * \brief This class implements a tag that carries the socket-specific
+ * @brief This class implements a tag that carries the socket-specific
  * TTL of a packet to the IP layer
  */
 class SocketIpTtlTag : public Tag
@@ -1115,22 +1115,22 @@
     SocketIpTtlTag();
 
     /**
-     * \brief Set the tag's TTL
+     * @brief Set the tag's TTL
      *
-     * \param ttl the TTL
+     * @param ttl the TTL
      */
     void SetTtl(uint8_t ttl);
 
     /**
-     * \brief Get the tag's TTL
+     * @brief Get the tag's TTL
      *
-     * \returns the TTL
+     * @returns the TTL
      */
     uint8_t GetTtl() const;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -1154,7 +1154,7 @@
 };
 
 /**
- * \brief This class implements a tag that carries the socket-specific
+ * @brief This class implements a tag that carries the socket-specific
  * HOPLIMIT of a packet to the IPv6 layer
  */
 class SocketIpv6HopLimitTag : public Tag
@@ -1163,22 +1163,22 @@
     SocketIpv6HopLimitTag();
 
     /**
-     * \brief Set the tag's Hop Limit
+     * @brief Set the tag's Hop Limit
      *
-     * \param hopLimit the Hop Limit
+     * @param hopLimit the Hop Limit
      */
     void SetHopLimit(uint8_t hopLimit);
 
     /**
-     * \brief Get the tag's Hop Limit
+     * @brief Get the tag's Hop Limit
      *
-     * \returns the Hop Limit
+     * @returns the Hop Limit
      */
     uint8_t GetHopLimit() const;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -1202,7 +1202,7 @@
 };
 
 /**
- * \brief indicates whether packets should be sent out with
+ * @brief indicates whether packets should be sent out with
  * the DF (Don't Fragment) flag set.
  */
 class SocketSetDontFragmentTag : public Tag
@@ -1211,25 +1211,25 @@
     SocketSetDontFragmentTag();
 
     /**
-     * \brief Enables the DF (Don't Fragment) flag
+     * @brief Enables the DF (Don't Fragment) flag
      */
     void Enable();
 
     /**
-     * \brief Disables the DF (Don't Fragment) flag
+     * @brief Disables the DF (Don't Fragment) flag
      */
     void Disable();
 
     /**
-     * \brief Checks if the DF (Don't Fragment) flag is set
+     * @brief Checks if the DF (Don't Fragment) flag is set
      *
-     * \returns true if DF is set.
+     * @returns true if DF is set.
      */
     bool IsEnabled() const;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -1253,7 +1253,7 @@
 };
 
 /**
- * \brief indicates whether the socket has IP_TOS set.
+ * @brief indicates whether the socket has IP_TOS set.
  * This tag is for IPv4 socket.
  */
 class SocketIpTosTag : public Tag
@@ -1262,22 +1262,22 @@
     SocketIpTosTag();
 
     /**
-     * \brief Set the tag's TOS
+     * @brief Set the tag's TOS
      *
-     * \param tos the TOS
+     * @param tos the TOS
      */
     void SetTos(uint8_t tos);
 
     /**
-     * \brief Get the tag's TOS
+     * @brief Get the tag's TOS
      *
-     * \returns the TOS
+     * @returns the TOS
      */
     uint8_t GetTos() const;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -1301,7 +1301,7 @@
 };
 
 /**
- * \brief indicates whether the socket has a priority set.
+ * @brief indicates whether the socket has a priority set.
  */
 class SocketPriorityTag : public Tag
 {
@@ -1309,22 +1309,22 @@
     SocketPriorityTag();
 
     /**
-     * \brief Set the tag's priority
+     * @brief Set the tag's priority
      *
-     * \param priority the priority
+     * @param priority the priority
      */
     void SetPriority(uint8_t priority);
 
     /**
-     * \brief Get the tag's priority
+     * @brief Get the tag's priority
      *
-     * \returns the priority
+     * @returns the priority
      */
     uint8_t GetPriority() const;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -1348,7 +1348,7 @@
 };
 
 /**
- * \brief indicates whether the socket has IPV6_TCLASS set.
+ * @brief indicates whether the socket has IPV6_TCLASS set.
  * This tag is for IPv6 socket.
  */
 class SocketIpv6TclassTag : public Tag
@@ -1357,22 +1357,22 @@
     SocketIpv6TclassTag();
 
     /**
-     * \brief Set the tag's Tclass
+     * @brief Set the tag's Tclass
      *
-     * \param tclass the Tclass
+     * @param tclass the Tclass
      */
     void SetTclass(uint8_t tclass);
 
     /**
-     * \brief Get the tag's Tclass
+     * @brief Get the tag's Tclass
      *
-     * \returns the Tclass
+     * @returns the Tclass
      */
     uint8_t GetTclass() const;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/model/tag-buffer.h ns-3.44/src/network/model/tag-buffer.h
--- ns-3.43/src/network/model/tag-buffer.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/model/tag-buffer.h	2025-03-09 16:55:49.675372100 -0700
@@ -22,9 +22,9 @@
 {
 
 /**
- * \ingroup packet
+ * @ingroup packet
  *
- * \brief read and write tag data
+ * @brief read and write tag data
  *
  * This class allows subclasses of the ns3::Tag base class
  * to serialize and deserialize their data through a stream-like
@@ -41,102 +41,102 @@
 {
   public:
     /**
-     * \brief Constructor
-     * \param start start position
-     * \param end end position
+     * @brief Constructor
+     * @param start start position
+     * @param end end position
      */
     TagBuffer(uint8_t* start, uint8_t* end);
 
     /**
-     * \brief Trim some space from the end
-     * \param trim space to remove
+     * @brief Trim some space from the end
+     * @param trim space to remove
      */
     void TrimAtEnd(uint32_t trim);
 
     /**
-     * \brief Copy the nternal structure of another TagBuffer
-     * \param o the TagBuffer to copy from
+     * @brief Copy the nternal structure of another TagBuffer
+     * @param o the TagBuffer to copy from
      */
     void CopyFrom(TagBuffer o);
 
     /**
-     * \param v the value to write
+     * @param v the value to write
      *
      * Write one byte and advance the "current" point by one.
      */
     TAG_BUFFER_INLINE void WriteU8(uint8_t v);
     /**
-     * \param v the value to write
+     * @param v the value to write
      *
      * Write two bytes and advance the "current" point by two.
      */
     TAG_BUFFER_INLINE void WriteU16(uint16_t v);
     /**
-     * \param v the value to write
+     * @param v the value to write
      *
      * Write four bytes and advance the "current" point by four.
      */
     TAG_BUFFER_INLINE void WriteU32(uint32_t v);
     /**
-     * \param v the value to write
+     * @param v the value to write
      *
      * Write eight bytes and advance the "current" point by eight.
      */
     void WriteU64(uint64_t v);
     /**
-     * \param v the value to write
+     * @param v the value to write
      *
      * Write a double and advance the "current" point by the size of the
      * data written.
      */
     void WriteDouble(double v);
     /**
-     * \param buffer a pointer to data to write
-     * \param size the size of the data to write
+     * @param buffer a pointer to data to write
+     * @param size the size of the data to write
      *
      * Write all the input data and advance the "current" point by the size of the
      * data written.
      */
     void Write(const uint8_t* buffer, uint32_t size);
     /**
-     * \returns the value read
+     * @returns the value read
      *
      * Read one byte, advance the "current" point by one,
      * and return the value read.
      */
     TAG_BUFFER_INLINE uint8_t ReadU8();
     /**
-     * \returns the value read
+     * @returns the value read
      *
      * Read two bytes, advance the "current" point by two,
      * and return the value read.
      */
     TAG_BUFFER_INLINE uint16_t ReadU16();
     /**
-     * \returns the value read
+     * @returns the value read
      *
      * Read four bytes, advance the "current" point by four,
      * and return the value read.
      */
     TAG_BUFFER_INLINE uint32_t ReadU32();
     /**
-     * \returns the value read
+     * @returns the value read
      *
      * Read eight bytes, advance the "current" point by eight,
      * and return the value read.
      */
     uint64_t ReadU64();
     /**
-     * \returns the value read
+     * @returns the value read
      *
      * Read a double, advance the "current" point by the size
      * of the data read, and, return the value read.
      */
     double ReadDouble();
     /**
-     * \param buffer a pointer to the buffer where data should be
+     * @param buffer a pointer to the buffer where data should be
      * written.
-     * \param size the number of bytes to read.
+     * @param size the number of bytes to read.
      *
      * Read the number of bytes requested, advance the "current"
      * point by the number of bytes read, return.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/model/tag.h ns-3.44/src/network/model/tag.h
--- ns-3.43/src/network/model/tag.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/model/tag.h	2025-03-09 16:55:49.675372100 -0700
@@ -18,9 +18,9 @@
 {
 
 /**
- * \ingroup packet
+ * @ingroup packet
  *
- * \brief tag a set of bytes in a packet
+ * @brief tag a set of bytes in a packet
  *
  * New kinds of tags can be created by subclassing from this abstract base class.
  */
@@ -28,20 +28,20 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \returns the number of bytes required to serialize the data of the tag.
+     * @returns the number of bytes required to serialize the data of the tag.
      *
      * This method is typically invoked by Packet::AddPacketTag or Packet::AddByteTag
      * just prior to calling Tag::Serialize.
      */
     virtual uint32_t GetSerializedSize() const = 0;
     /**
-     * \param i the buffer to write data into.
+     * @param i the buffer to write data into.
      *
      * Write the content of the tag in the provided tag buffer.
      * DO NOT attempt to write more bytes than you requested
@@ -49,7 +49,7 @@
      */
     virtual void Serialize(TagBuffer i) const = 0;
     /**
-     * \param i the buffer to read data from.
+     * @param i the buffer to read data from.
      *
      * Read the content of the tag from the provided tag buffer.
      * DO NOT attempt to read more bytes than you wrote with
@@ -58,7 +58,7 @@
     virtual void Deserialize(TagBuffer i) = 0;
 
     /**
-     * \param os the stream to print to
+     * @param os the stream to print to
      *
      * This method is typically invoked from the Packet::PrintByteTags
      * or Packet::PrintPacketTags methods.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/model/trailer.h ns-3.44/src/network/model/trailer.h
--- ns-3.43/src/network/model/trailer.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/model/trailer.h	2025-03-09 16:55:49.675372100 -0700
@@ -18,9 +18,9 @@
 {
 
 /**
- * \ingroup packet
+ * @ingroup packet
  *
- * \brief Protocol trailer serialization and deserialization.
+ * @brief Protocol trailer serialization and deserialization.
  *
  * Every Protocol trailer which needs to be inserted or removed
  * from a Packet instance must derive from this base class and
@@ -30,13 +30,13 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     ~Trailer() override;
     /**
-     * \returns the expected size of the trailer.
+     * @returns the expected size of the trailer.
      *
      * This method is used by Packet::AddTrailer
      * to store a trailer into the byte buffer of a packet. This method
@@ -45,7 +45,7 @@
      */
     virtual uint32_t GetSerializedSize() const = 0;
     /**
-     * \param start an iterator which points to where the trailer
+     * @param start an iterator which points to where the trailer
      *        should be written.
      *
      * This method is used by Packet::AddTrailer to
@@ -58,9 +58,9 @@
      */
     virtual void Serialize(Buffer::Iterator start) const = 0;
     /**
-     * \param end an iterator which points to the end of the buffer
+     * @param end an iterator which points to the end of the buffer
      *        where the trailer should be read from.
-     * \returns the number of bytes read.
+     * @returns the number of bytes read.
      *
      * This method is used by Packet::RemoveTrailer to
      * re-create a trailer from the byte buffer of a packet.
@@ -72,11 +72,11 @@
      */
     uint32_t Deserialize(Buffer::Iterator end) override = 0;
     /**
-     * \param start an iterator which points to the start of the buffer
+     * @param start an iterator which points to the start of the buffer
      *        where the trailer should be read from.
-     * \param end an iterator which points to the end of the buffer
+     * @param end an iterator which points to the end of the buffer
      *        where the trailer should be read from.
-     * \returns the number of bytes read.
+     * @returns the number of bytes read.
      *
      * This method is used by Packet::RemoveTrailer to
      * re-create a trailer from the byte buffer of a packet.
@@ -90,7 +90,7 @@
      */
     uint32_t Deserialize(Buffer::Iterator start, Buffer::Iterator end) override;
     /**
-     * \param os output stream
+     * @param os output stream
      * This method is used by Packet::Print to print the
      * content of a trailer as ascii data to a c++ output stream.
      * Although the trailer is free to format its output as it
@@ -105,11 +105,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param trailer the trailer
- * \returns a reference to the stream
+ * @param os the stream
+ * @param trailer the trailer
+ * @returns a reference to the stream
  */
 std::ostream& operator<<(std::ostream& os, const Trailer& trailer);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/test/bit-serializer-test.cc ns-3.44/src/network/test/bit-serializer-test.cc
--- ns-3.43/src/network/test/bit-serializer-test.cc	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/test/bit-serializer-test.cc	2025-03-09 16:55:49.675372100 -0700
@@ -16,10 +16,10 @@
 using namespace ns3;
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Bit serialization test
+ * @brief Bit serialization test
  */
 class BitSerializerTest : public TestCase
 {
@@ -66,10 +66,10 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Bit deserialization test
+ * @brief Bit deserialization test
  */
 class BitDeserializerTest : public TestCase
 {
@@ -130,10 +130,10 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Packet Metadata TestSuite
+ * @brief Packet Metadata TestSuite
  */
 class BitSerializerTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/test/buffer-test.cc ns-3.44/src/network/test/buffer-test.cc
--- ns-3.43/src/network/test/buffer-test.cc	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/test/buffer-test.cc	2025-03-09 16:55:49.675372100 -0700
@@ -14,13 +14,13 @@
 using namespace ns3;
 
 /**
- * \ingroup network
- * \defgroup network-test Network module unit tests
+ * @ingroup network
+ * @defgroup network-test Network module unit tests
  */
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
  * Buffer unit tests.
  */
@@ -29,9 +29,9 @@
   private:
     /**
      * Checks the buffer content
-     * \param b The buffer to check
-     * \param n The number of bytes to check
-     * \param array The array of bytes that should be in the buffer
+     * @param b The buffer to check
+     * @param n The number of bytes to check
+     * @param array The array of bytes that should be in the buffer
      */
     void EnsureWrittenBytes(Buffer b, uint32_t n, uint8_t array[]);
 
@@ -385,10 +385,10 @@
 }
 
 /**
- * \ingroup network-test
- * \ingroup tests
+ * @ingroup network-test
+ * @ingroup tests
  *
- * \brief Buffer TestSuite
+ * @brief Buffer TestSuite
  */
 class BufferTestSuite : public TestSuite
 {
